#include "HelperFunctions.h"

time_t CHelperFunctions::GetTime(string t)
{
	int YY, MM, DD, hh, mm;
	struct tm tmt = { 0 };

	memset(&tmt, 0, sizeof(tm));
	sscanf_s(t.c_str(), "%d.%d.%d %d:%d", &YY, &MM, &DD, &hh, &mm);

	tmt.tm_year = YY - 1900;
	tmt.tm_mon = MM;
	tmt.tm_mday = DD;
	tmt.tm_hour = hh;
	tmt.tm_min = mm;
	tmt.tm_sec = 0;
	tmt.tm_isdst = 0;

	return mktime(&tmt);
}

string CHelperFunctions::TimeAsString(time_t time)
{
	char buffer[100];

	ctime_s(buffer, 100, &(time));

	string ret(buffer);

	ret.erase(ret.end() - 1);
	return ret;
}

time_t CHelperFunctions::AddHours(time_t time, double hours)
{
	return time + (time_t)(hours * 60 * 60);
}